Get a Kubernetes cluster

GET/v1/kubernetes_clusters/{id}

This GET request to /v1/kubernetes_clusters/{id} will show cluster details for the one specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a cluster.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes_clusters/APdRL0aG"
{  "id": "APdRL0aG",  "name": "k8s-cluster",  "status": "pending",  "location_id": 1784,  "location_code": "location3671",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:06:43Z",  "updated_at": "2026-05-28T07:06:43Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}